define([
    'jquery'
], function ($) {
    'use strict';

    var checkoutConfig = window.checkoutConfig,
        newsletterConfig = checkoutConfig ? checkoutConfig.checkoutNewsletter : {};

    /** Override default place order action and add checkout_newsletter to request */
    return function (paymentData) {
        var checkoutNewsletterInput,
            checkoutNewsletter;

        if (!newsletterConfig.isEnabled) {
            return;
        }

        checkoutNewsletterInput = $('.payment-method._active div[data-role=newsletter-subscribe] input[type=checkbox]');

        if (checkoutNewsletterInput.is(':checked')) {
            checkoutNewsletter = 1;
        } else {
            checkoutNewsletter = 0;
        }

        if (paymentData['extension_attributes'] === undefined) {
            paymentData['extension_attributes'] = {};
        }

        paymentData['extension_attributes']['newsletter_subscribe'] = checkoutNewsletter;
    };
});
